<bugID>941279<Summary>Redirect blocking is useless without redirect info</Summary><Description>User Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:25.0) Gecko/20100101 Firefox/25.0 (Beta/Release)
Build ID: 20131115105702

Steps to reproduce:

I turned on the "Warn me when websites try to redirect or reload a page" feature in Preferences. 

However, when I get the warning (plus an Allow button), I'm not told where the redirect leads. How am I supposed to decide whether I want to take that redirect or if it's safe, if I have no idea where it's taking me?

At the very least, Firefox should display the redirect URL. It's also a good idea to tell the user whether it's a javascript redirect, a html meta tag redirect, or a 30x HTTP code - and if the latter, which one exactly.

And I sincerely hope that the redirect warning feature stops all of the above. Otherwise what's the point if it can be circumvented. (Please elaborate in response.)

With the NSA using redirects against even technically savvy targets (the infamous Slashdot/LinkedIn MitM/MotS attack against EU telecoms' tech staff), having a tight control on redirects should be a security priority for Mozilla.


Actual results:

no info


Expected results:

show: redirect URL + what kind of redirect</Description></bugID>